<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS" />
    <uses-permission
        android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_MEDIA_VISUAL_USER_SELECTED" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />

    <application
        android:name=".OASystem"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:targetApi="31">
        <activity
            android:name=".ui.financial_module.expense_approval.ExpenseApprovalActivity"
            android:exported="false" />
        <activity
            android:name=".ui.personnel_module.materials_operate.MaterialApplicationHistoryActivity"
            android:exported="false" />
        <activity
            android:name=".ui.personnel_module.materials_operate.MaterialApplicationActivity"
            android:exported="false" />
        <activity
            android:name=".ui.personnel_module.materials_operate.MaterialOperateActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_common.commission_confirm.CommissionConfirmActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.picture_preview.PicturePreviewActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.official_visits.AddOfficialVisitsActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.official_visits.InviteVisitsActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_common.bill_management.BillManagementActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.related_invitee.RelatedInviteeActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.market_sales_revenue.AddCustomerVisitHistoryActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.market_sales_revenue.SalesCustomerVisitListActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.market_sales_revenue.MarketSalesRevenueActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.document.DocumentGroupListActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.invite_data.AddInviteDataActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.invite_data.InviteDataActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.message.MessageListActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_visa.insurance_payment_insert.AddInsurancePaymentActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_visa.insurance_payment_insert.InsurancePaymentInsertActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_hotel.hotel_predetermine.HotelPredetermineActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_hotel.hotel_predetermine.AddHotelPredetermineActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_op.ground_convey_payment_insert.GroundConveyPaymentDetailActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_visa.visa_payment_insert.VisaPaymentInsertActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_visa.visa_payment_insert.AddVisaPaymentActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_op.ground_convey_payment_insert.AddGroundConveyInfoActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_op.ground_convey_payment_insert.GroundConveyPaymentInsertActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_airplane_ticket.airplane_payment_insert.AddAirplaneTicketActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_airplane_ticket.airplane_payment_insert.AirplaneTicketPaymentActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.invite_official_payment_insert.AddInvitePaymentActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_invite_official.invite_official_payment_insert.InviteOfficialPaymentInsertActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.daily_payment.AddDailyPaymentActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.daily_payment.DailyPaymentListActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_management.group_info.AddGroupInfoActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.group_management.group_info.GroupInfoActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.airplane_three_code.AddAirplaneThreeCodeActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.airplane_three_code.AirplaneThreeCodeActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.hotel_resource.AddHotelResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.hotel_resource.HotelResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.car_resource.AddCarResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.car_resource.CarResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.guide_resource.AddGuideResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.guide_resource.GuideResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.service_resource.AddServiceResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.resource_management.service_resource.ServiceResourceActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.itinerary.AddItineraryActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.company_customer.AddNewCustomerActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.customer_resource.company_customer.MarketCustomerActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.itinerary.ItineraryActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.exchange_tool.ExchangeToolActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.efficiency_tools.address_book.AddressBookActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name=".ui.workspace.WorkspaceActivity"
            android:exported="false"
            android:launchMode="singleTask" />
        <activity
            android:name=".ui.login.LoginActivity"
            android:exported="true"
            android:launchMode="singleTask">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.pan_american.android.file_provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <service android:name=".data.network.TCPService" />
    </application>

</manifest>